--[[
--пример
local db = tmsNewSQLiteDB() --SQLite
local sel = db:dbNewSelect()
package.path = svr.tmsDirScript("mods").."?.lua;"..package.path
local dbh = require( 'tmsSqliteHelper' )
dbh:Init( db, sel )

]]--

local mod = {}

function mod:Init( db, sel )
  self.db = db
  self.sel = sel
end

function mod:dbExistsObj( nm, tp )
  local sql = "SELECT * FROM sqlite_master WHERE type='"..tp.."' AND name='"..nm.."'"
  self.sel:selOpen( sql )
  return not sel:selEnd()  --true объект есть
end--dbExistsObj

function mod:dbExistsTable( nm, tp )
  return self:dbExistsObj( nm, 'table' )
end

function mod:dbExistsView( nm, tp )
  return self:dbExistsObj( nm, 'view' )
end--dbExistsTable

function mod:dbCreateTable( nm, fields, key )
  local sql = "CREATE TABLE "..nm.." ( "..fields
  if key ~= nil then
    sql = sql..", PRIMARY KEY( "..key..")"
  end
  sql = sql.." )"
  self.db:dbExec( sql )
end--dbCreateTable

function mod:dbCreateView( nm, asSel )
  local sql = "CREATE VIEW "..nm.." AS "..asSel
  self.db:dbExec( sql )
end--dbCreateTable

mod.ssss = 'OKOK'
function mod:test( nm, tp )
  return 'test ok '..self.ssss
end

return mod
