local mod = {}

function mod.dump( s ) -- двоичный буфер в дамп с пробелами
  return s:gsub(".", function(c)
    return ("%02x "):format(c:byte())
  end):sub(1, -2)
end

function mod.DUMP( s ) -- двоичный буфер в дамп с пробелами
  return s:gsub(".", function(c)
    return ("%02X "):format(c:byte())
  end):sub(1, -2)
end

function mod.fromhex( s ) --дамп без пробелов в двоичный буфер
  return ( s:gsub( '..'
  , function (cc)
      return string.char(tonumber(cc, 16))
    end
   ) )
end

function mod.tohex( s ) -- двоичный буфер в дамп без пробелов
  return ( s:gsub( '.'
  , function (c)
      return string.format('%02x', string.byte(c))
    end
  ) )
end

function mod.toHEX( s ) -- двоичный буфер в дамп без пробелов
  return ( s:gsub( '.'
  , function (c)
      return string.format('%02X', string.byte(c))
    end
  ) )
end

function mod.strSplit( str, sep )
  local sep = sep or ":"
  local fields = {}
  local pattern = string.format("([^%s]+)", sep)
  str:gsub(pattern, function(c) fields[#fields+1] = c end)
  return fields
end

function mod.strSplitCb( str, callback, sep )
  local sep = sep or ":"
  local pattern = string.format( "([^%s]+)", sep )
  str:gsub( pattern, callback )
end

return mod
